#!/bin/bash

echo "updating dependencies"
bundle install --path vendor/bundle

if [ -z $SKIP_TESTS ]; then
  echo "running rspec tests"
  bundle exec rspec

  if [ "$?" = "0" ]; then
    echo "tests completed"
  else
    echo "tests failed."
    exit 1
  fi
else
  echo "skipping tests"
fi

echo "build complete"

